public static interface SparkEndpointBuilderFactory.SparkBuilders
| Modifier and Type | Method and Description |
|---|---|
default SparkEndpointBuilderFactory.SparkEndpointBuilder |
spark(String path)
Spark (camel-spark)
Send RDD or DataFrame jobs to Apache Spark clusters.
|
default SparkEndpointBuilderFactory.SparkEndpointBuilder |
spark(String componentName,
String path)
Spark (camel-spark)
Send RDD or DataFrame jobs to Apache Spark clusters.
|
default SparkEndpointBuilderFactory.SparkEndpointBuilder spark(String path)
spark:endpointType
Path parameter: endpointType (required)
Type of the endpoint (rdd, dataframe, hive).
There are 3 enums and the value can be one of: rdd, dataframe, hivepath - endpointTypedefault SparkEndpointBuilderFactory.SparkEndpointBuilder spark(String componentName, String path)
spark:endpointType
Path parameter: endpointType (required)
Type of the endpoint (rdd, dataframe, hive).
There are 3 enums and the value can be one of: rdd, dataframe, hivecomponentName - to use a custom component name for the endpoint
instead of the default namepath - endpointTypeApache Camel